Bug 1046027

Summary: ld asserts on trying to link -lws2_32 to a DLL (win64 target)
Product: [Fedora] Fedora Reporter: Dhiru Kholia <dkholia>
Component: mingw-binutilsAssignee: Erik van Pienbroek <erik-fedora>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: bressers, dhiru, erik-fedora, fedora-mingw, kalevlember, mnewsome, rjones
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 10:49:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Dhiru Kholia 2013-12-23 09:47:12 UTC
See http://sourceforge.net/mailarchive/message.php?msg_id=31592989 for details.

To reproduce the problem, build https://github.com/magnumripper/JohnTheRipper/tree/bleeding-jumbo code base.

$ rpm -qa | grep -i mingw           
mingw64-winpthreads-3.0.999-0.1.trunk.r6379.20131120.fc21.noarch
mingw64-gdb-7.6-2.fc20.noarch
mingw64-libgomp-4.8.2-1.fc21.x86_64
mingw-binutils-generic-2.23.52.0.1-2.fc20.x86_64
mingw64-headers-3.0.999-0.2.trunk.r6388.20131129.fc21.noarch
mingw64-crt-3.0.999-0.2.trunk.r6388.20131129.fc21.noarch
mingw64-gcc-c++-4.8.2-1.fc21.x86_64
mingw64-wine-gecko-2.24-1.fc21.noarch
mingw64-binutils-2.23.52.0.1-2.fc20.x86_64
mingw64-pkg-config-0.28-2.fc20.x86_64
mingw64-openssl-1.0.1e-4.fc20.noarch
mingw64-openssl-static-1.0.1e-4.fc20.noarch
mingw64-filesystem-99-3.fc20.noarch
mingw64-zlib-1.2.8-2.fc20.noarch
mingw64-expat-2.1.0-5.fc20.noarch
mingw64-cpp-4.8.2-1.fc21.x86_64
mingw64-win-iconv-0.0.4-3.fc20.noarch
mingw64-gcc-4.8.2-1.fc21.x86_64
mingw-filesystem-base-99-3.fc20.noarch

Comment 1 Erik van Pienbroek 2013-12-23 12:25:54 UTC
Could you try if http://koji.fedoraproject.org/koji/taskinfo?taskID=6327726 solves the issue?

Comment 2 Dhiru Kholia 2013-12-23 12:41:25 UTC
I have upgraded to the latest versions,

mingw-binutils-generic-2.24-1.fc21.x86_64
mingw64-binutils-2.24-1.fc21.x86_64

The assertion failure is still there, though the line numbers have changed a bit ;(

...x86_64-w64-mingw32/bin/ld: BFD (GNU Binutils) 2.24 assertion fail ../../bfd/coffgen.c:461
...x86_64-w64-mingw32/bin/ld: BFD (GNU Binutils) 2.24 assertion fail ../../bfd/cofflink.c:2390

Comment 3 Erik van Pienbroek 2014-01-25 17:35:43 UTC
Could you please report this issue at the upstream bugtracker? https://sourceware.org/bugzilla/

Comment 5 Fedora Admin XMLRPC Client 2014-12-04 18:41:34 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Jaroslav Reznik 2015-03-03 16:57:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 7 Fedora End Of Life 2016-07-19 10:49:08 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.